io.undertow.util

## Class StringWriteChannelListener

- java.lang.Object
- - io.undertow.util.StringWriteChannelListener

All Implemented Interfaces:
  EventListener, org.xnio.ChannelListener<org.xnio.channels.StreamSinkChannel>

    public class StringWriteChannelListener
    extends Object
    implements org.xnio.ChannelListener<org.xnio.channels.StreamSinkChannel>

A simple write listener that can be used to write out the contents of a String. When the string is written out it closes the channel. This should not be added directly to the channel, instead `setup(org.xnio.channels.StreamSinkChannel)` should be called, which will attempt a write, and only add the listener if required.

Author:
  Stuart Douglas

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.xnio.ChannelListener

`org.xnio.ChannelListener.Setter<T extends Channel>, org.xnio.ChannelListener.SimpleSetter<T extends Channel>`

### Constructor Summary

Constructors
Constructor and Description
`StringWriteChannelListener(String string)`
`StringWriteChannelListener(String string, Charset charset)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `handleError(org.xnio.channels.StreamSinkChannel channel, IOException e)`
`void` `handleEvent(org.xnio.channels.StreamSinkChannel channel)`
`boolean` `hasRemaining()`
`void` `setup(org.xnio.channels.StreamSinkChannel channel)`
`protected void` `writeDone(org.xnio.channels.StreamSinkChannel channel)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### StringWriteChannelListener

    public StringWriteChannelListener(String string)

#### StringWriteChannelListener

    public StringWriteChannelListener(String string,
                                      Charset charset)

### Method Detail

#### setup

    public void setup(org.xnio.channels.StreamSinkChannel channel)

#### handleError

    protected void handleError(org.xnio.channels.StreamSinkChannel channel,
                               IOException e)

#### handleEvent

    public void handleEvent(org.xnio.channels.StreamSinkChannel channel)

Specified by:
  `handleEvent` in interface `org.xnio.ChannelListener<org.xnio.channels.StreamSinkChannel>`

#### hasRemaining

    public boolean hasRemaining()

#### writeDone

    protected void writeDone(org.xnio.channels.StreamSinkChannel channel)